Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Class ChainedAssemblyMapper

    java.lang.Object
      org.ensembl.datamodel.ChainedAssemblyMapper

All Implemented Interfaces:
  AssemblyMapper

public class ChainedAssemblyMapper
extends java.lang.Object
implements AssemblyMapper

Author:
  arne

Constructor Summary
`ChainedAssemblyMapper(CoreDriver driver, CoordinateSystem cs1, CoordinateSystem cs2, CoordinateSystem cs3)`

Method Summary
`org.ensembl.util.mapper.Coordinate` | `fastmap(Location loc)`
`void` | `flush()`
`CoordinateSystem` | `getCsFirst()`
`CoordinateSystem` | `getCsLast()`
`CoordinateSystem` | `getCsMiddle()`
`CoreDriver` | `getDriver()`
`org.ensembl.util.mapper.Mapper` | `getFirstLastMapper()`
`org.ensembl.util.mapper.Mapper` | `getFirstMiddleMapper()`
`org.ensembl.util.mapper.RangeRegistry` | `getFirstReg()`
`org.ensembl.util.mapper.Mapper` | `getLastMiddleMapper()`
`org.ensembl.util.mapper.RangeRegistry` | `getLastReg()`
`int` | `getSize()`
`java.lang.String[]` | `listSeqRegionNames(Location loc)`
`static void` | `main(java.lang.String[] args)`
`org.ensembl.util.mapper.Coordinate[]` | `map(Location loc)`
`boolean` | `registerLocation(Location loc)`
`void` | `setDriver(CoreDriver driver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainedAssemblyMapper

    public ChainedAssemblyMapper(CoreDriver driver,
                                 CoordinateSystem cs1,
                                 CoordinateSystem cs2,
                                 CoordinateSystem cs3)

Method Detail

### main

    public static void main(java.lang.String[] args)

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `AssemblyMapper`

### flush

    public void flush()

  Specified by:
    `flush` in interface `AssemblyMapper`

### registerLocation

    public boolean registerLocation(Location loc)
                             throws AdaptorException

  Parameters:
    `loc` - All assembly table entries for this Location are retrieved ans stored in the contained mapper
  Returns:
    The boolean indicates wether the Location is from the beginning or from the end of the chain, so this doesnt have to be checked again
  Throws:
    `AdaptorException`

### map

    public org.ensembl.util.mapper.Coordinate[] map(Location loc)
                                             throws AdaptorException

  Specified by:
    `map` in interface `AssemblyMapper`
  Throws:
    `AdaptorException`

### fastmap

    public org.ensembl.util.mapper.Coordinate fastmap(Location loc)
                                               throws AdaptorException

  Specified by:
    `fastmap` in interface `AssemblyMapper`
  Throws:
    `AdaptorException`

### listSeqRegionNames

    public java.lang.String[] listSeqRegionNames(Location loc)
                                          throws AdaptorException

  Throws:
    `AdaptorException`

### getCsFirst

    public CoordinateSystem getCsFirst()

### getCsLast

    public CoordinateSystem getCsLast()

### getCsMiddle

    public CoordinateSystem getCsMiddle()

### getDriver

    public CoreDriver getDriver()

### getFirstLastMapper

    public org.ensembl.util.mapper.Mapper getFirstLastMapper()

### getFirstMiddleMapper

    public org.ensembl.util.mapper.Mapper getFirstMiddleMapper()

### getFirstReg

    public org.ensembl.util.mapper.RangeRegistry getFirstReg()

### getLastMiddleMapper

    public org.ensembl.util.mapper.Mapper getLastMiddleMapper()

### getLastReg

    public org.ensembl.util.mapper.RangeRegistry getLastReg()

### setDriver

    public void setDriver(CoreDriver driver)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD